Recommended update for procps

SUSE Recommended Update: Recommended update for procps
Announcement ID: SUSE-RU-2020:0225-1
Rating: moderate
References: #1158830
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has one recommended fix can now be installed.

Description:

This update for procps fixes the following issues:

  • Fix for "ps -C" allowing to accept any arguments longer than 15 characters anymore. (bsc#1158830)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-225=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2020-225=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libprocps7-3.3.15-7.10.2
    • libprocps7-debuginfo-3.3.15-7.10.2
    • procps-3.3.15-7.10.2
    • procps-debuginfo-3.3.15-7.10.2
    • procps-debugsource-3.3.15-7.10.2
    • procps-devel-3.3.15-7.10.2
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • libprocps7-3.3.15-7.10.2
    • libprocps7-debuginfo-3.3.15-7.10.2
    • procps-3.3.15-7.10.2
    • procps-debuginfo-3.3.15-7.10.2
    • procps-debugsource-3.3.15-7.10.2
    • procps-devel-3.3.15-7.10.2

References: